/*
  Additional media query for Hero block
*/
@media (max-width: 1070px) {
  /* Hero */
  .hero {
    background: radial-gradient(
      44.07% 44.07% at 67.78% 55.93%,
      #555681 0%,
      #2e2b44 100%
    );
  }

  .hero__item-info {
    padding-top: 129px;
    padding-bottom: 132px;
    max-width: 367px;
  }

  .hero__item-title {
    font-size: 50px;
    line-height: 50px;
    letter-spacing: 0;
    margin-bottom: 16px;
  }

  .hero__item-img {
    position: absolute;
    top: 117px;
    right: 4px;
  }
}

/*
  Additional media query for Hero Advantages
*/
@media (max-width: 842px) {
  /* Advantages */
  .advantages {
    padding-bottom: 76px;
  }

  .advantages__img-box {
    min-width: 210px;
  }

  .advantages__img {
    margin-top: 24px;
  }

  .advantages__container-title {
    margin-bottom: 16px;
  }

  .advantages__item {
    flex-direction: column;
    align-items: flex-start;
  }

  .advantages__item-img {
    margin-right: 0;
    margin-bottom: 11px;
  }

  .advantages__item-description {
    padding-right: 6px;
  }
}

/*
    Adaptive layout for Tablet_690
    (Bootstrap - MD - 768)
*/
@media (max-width: 768px) {
  .courses__item-column {
    margin-bottom: 37px;
  }
  /* Header */
  .header__container {
    padding-top: 28px;
    padding-bottom: 28px;
  }

  /* Teachers */
  .teachers__item-img {
    margin-bottom: 31px;
  }

  .teachers__item-name {
    margin-bottom: 6px;
  }

  .teachers__item-description {
    padding-right: 0;
  }

  /* Courses */
  .courses__item-info {
    padding-top: 27px;
  }

  .courses__item-label {
    right: 10px;
  }

  .courses__item-link {
    margin-top: 31px;
    padding-right: 53px;
    padding-left: 55px;
  }
}

/*
  Additional media query for Hero block
*/
@media (max-width: 750px) {
  /* Hero */
  .hero {
    background: radial-gradient(
      49% 49% at 67.78% 84.57%,
      #555681 0%,
      #2e2b44 100%
    );
  }

  .hero__item-info {
    padding-top: 75px;
    padding-bottom: 132px;
    max-width: 367px;
  }

  .hero__item-title {
    margin-bottom: 17px;
  }

  .hero__item-img {
    display: none;
  }
}

/*
    Adaptive layout for Tablet_510
    (Bootstrap - SM - 576)
*/
@media (max-width: 674px) {
  .header__nav-link {
    padding: 6px;
  }
  .advantages {
    padding-bottom: 39px;
  }

  .container-fluid {
    padding-left: 33px;
    padding-right: 33px;
  }

  .row {
    --bs-gutter-x: 1.66rem;
  }

  /* Header */
  .header__container {
    flex-direction: column;
    justify-content: center;
    padding-top: 30px;
    padding-bottom: 31px;
  }

  .header__container-left {
    margin-bottom: 27px;
    text-align: center;
  }

  .header__nav-list {
    justify-content: center;
  }

  .header__nav-item:not(:last-child) {
    margin-right: 41px;
  }

  /* Advantages */
  .advantages__img-box {
    min-width: 150px;
    margin-right: 30px;
  }

  .advantages__img {
    margin-top: 0;
  }

  /* Courses */
  .courses__item-label {
    right: 6px;
  }

  .courses__item-info {
    padding-right: 20px;
  }

  .courses__item-title {
    margin-bottom: 11px;
    line-height: 24px;
  }

  .courses__item-link {
    margin-top: 34px;
    padding-right: 47px;
    padding-left: 46px;
  }
}

/*
    Adaptive layout for Mobile
*/
@media (max-width: 575px) {
  .courses__item-column {
    margin-bottom: 30px;
  }
  .header__logo-img {
    max-width: 72px;
    margin-bottom: 10px;
  }

  .container-fluid {
    padding-left: 14px;
    padding-right: 20px;
  }

  .container-title {
    font-size: 20px;
    line-height: 26px;
    letter-spacing: 0;
  }

  .btn {
    font-size: 15px;
  }

  /* Header */
  .header__container {
    flex-direction: row;
    justify-content: space-between;
    padding-top: 30px;
    padding-bottom: 23px;
  }

  .header__container-left {
    flex: 0 1 auto;
    margin-bottom: 0;
    text-align: left;
  }

  .header__logo {
    position: relative;
    z-index: 4;
  }

  .header__logo-img {
    margin-top: 2px;
  }

  .header__container-right {
    flex: 0 1 auto;
  }

  .header__burger-menu-button {
    position: relative;
    z-index: 4;
    display: inline-block;
    padding: 0;
    user-select: none;
    background: none;
    border: none;
  }

  .header__burger-menu-button span {
    display: block;
    width: 21px;
    height: 2px;
    margin-bottom: 6px;
    position: relative;
    background-color: var(--white-color);
    border-radius: 3px;
    z-index: 2;
    transform-origin: -1px 1px;
    transition: transform 0.3s cubic-bezier(0.77, 0.2, 0.05, 1),
      background 0.3s cubic-bezier(0.77, 0.2, 0.05, 1), opacity 0.3s ease;
  }

  .burger-menu-open span:nth-child(1) {
    opacity: 1;
    transform: rotate(45deg) translate(-1px, -1px);
    background-color: var(--white-color);
  }

  .burger-menu-open span:nth-child(2) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
  }

  .burger-menu-open span:nth-child(3) {
    transform: rotate(-45deg) translate(0, -1px);
    background-color: var(--white-color);
  }

  .header__nav {
    position: absolute;
    z-index: 3;
    right: 100%;
    top: 0;
    margin: 0;
    padding: 125px 50px 50px 50px;
    width: 100%;
    background: var(--brand-color);
    list-style-type: none;
    transform-origin: 0% 0%;
    transform: translateX(0);
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
  }

  .header-nav--active {
    right: 0;
  }

  .header__mobile-menu-open {
    transform: translateX(100%);
  }

  .header__nav-list {
    flex-direction: column;
  }

  .header__nav-item {
    text-align: center;
  }

  .header__nav-item:not(:last-child) {
    margin-right: 0;
  }

  .header__nav-item:not(:last-child) {
    margin-bottom: 20px;
  }

  /* Hero */
  .hero {
    background: radial-gradient(
      49% 49% at 67.78% 84.57%,
      #555681 0%,
      #2e2b44 100%
    );
  }

  .hero__item-info {
    padding-top: 49px;
    padding-bottom: 47px;
    max-width: none;
  }

  .hero__item-info-up {
    margin-bottom: 45px;
  }

  .hero__item-title {
    color: var(--white-color);
    font-size: 30px;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0;
    margin-bottom: 5px;
  }

  .hero__item-description {
    color: var(--white-color);
    font-size: 16px;
    font-weight: 400;
    line-height: 21px;
    letter-spacing: 0em;
  }

  .hero__item-link {
    padding-top: 17px;
    padding-right: 55px;
    padding-bottom: 17px;
    padding-left: 55px;
  }

  /* Advantages */
  .advantages {
    padding-top: 50px;
    padding-bottom: 22px;
  }

  .advantages__img-box {
    display: none;
  }

  .advantages__text-block {
    max-width: none;
  }

  .advantages__container-title {
    margin-bottom: 2px;
  }

  .advantages__item {
    flex-direction: row;
    align-items: center;
  }

  .advantages__item {
    margin-bottom: 24px;
  }

  .advantages__item-img {
    margin-right: 31px;
    margin-bottom: 0;
  }

  /* Teachers */
  .teachers {
    padding-top: 44px;
    padding-bottom: 20px;
  }

  .teachers__item-column {
    margin-bottom: 25px;
  }

  .teachers__item-name {
    margin-bottom: 7px;
  }

  /* Courses */
  .courses {
    padding-top: 45px;
    padding-bottom: 20px;
  }

  .courses__item-column {
    padding-right: 10px;
  }

  .courses__item {
    min-height: 653px;
  }

  .courses__item-info {
    padding-right: 25px;
    padding-top: 29px;
  }

  .courses__item-label {
    right: 10px;
  }

  .courses__item-title {
    line-height: 23px;
  }

  .courses__item-link {
    padding-right: 54px;
    padding-left: 54px;
    letter-spacing: 0.7px;
  }

  /* Footer */
  .footer__socials-item:not(:last-child) {
    margin-right: 27px;
  }
}
